OGRE-Next: Ogre::v1::AnimationStateControllerValue Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::AnimationStateControllerValue Class Referencefinal
Core » Animation

ControllerValue wrapper class for AnimationState. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::v1::AnimationStateControllerValue:
[legend]

## Public Member Functions
| AnimationStateControllerValue (AnimationState *targetAnimationState)
| Constructor, pass in the target animation state.
| ~AnimationStateControllerValue () override
| Destructor (parent already virtual)
Real | getValue () const override
| ControllerValue implementation.
void | setValue (Real value) override
| ControllerValue implementation.
Public Member Functions inherited from Ogre::ControllerValue< Real >
virtual | ~ControllerValue ()

## Detailed Description

ControllerValue wrapper class for AnimationState.

Remarks
  In Azathoth and earlier, AnimationState was a ControllerValue but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but AnimationState is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically.

## Constructor & Destructor Documentation

## ◆ AnimationStateControllerValue()

Ogre::v1::AnimationStateControllerValue::AnimationStateControllerValue | ( | AnimationState * | targetAnimationState | ) |
| inline

Constructor, pass in the target animation state.

## ◆ ~AnimationStateControllerValue()

Ogre::v1::AnimationStateControllerValue::~AnimationStateControllerValue | ( |  | ) |
| inlineoverride

Destructor (parent already virtual)

## Member Function Documentation

## ◆ getValue()

Real Ogre::v1::AnimationStateControllerValue::getValue | ( |  | ) | const
| overridevirtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

## ◆ setValue()

void Ogre::v1::AnimationStateControllerValue::setValue | ( | Real | value | ) |
| overridevirtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgreAnimationState.h